$base-line-height: 24px;
$white: rgb(255,255,255);
$off-white: rgba($white, 0.2);
$spin-duration: 1s;

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.loading-icon {
  border-radius: 50%;
  width: $base-line-height;
  height: $base-line-height;
  border: .25rem solid $off-white;
  border-top-color: $white;
  animation: spin $spin-duration infinite linear;
}

.progress-bar-container {
  position: fixed;
  z-index: 9999;
  background: rgba(0,0,0,0.6);
  width: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}
